Subject: Re: [PATCH v4 2/3] IB/hns: Add HiSilicon RoCE driver support

From: oulijun <[email-masked]>
Date: Wed, 23 Mar 2016 20:20:52 +0800

On 2016/3/23 2:54, Christoph Hellwig wrote:
>>  drivers/infiniband/Kconfig                         |    1 +
>>  drivers/infiniband/hw/Makefile                     |    1 +
>>  drivers/infiniband/hw/hisilicon/hns/Kconfig        |   10 +
> 
> To fit in with the other drivers drop the hisilicon level
> of the directory hierarchy.
> 
> Haven't had time to look at the actual driver yet so far, though.
> 
> .
> 
Hi Christoph Hellwig,
   surely, I considered that other drivers will be put into the hisilicon
level of the directory hierarchy. These drivers will support RDMA function which
will be developed for a series of hisilicon chip. Because of the consideration, I drop the
level.
   In additon that, i thought that the patch of RoCE driver which supported the base function of RDMA is huge. However,
It is not splitted into patches in form of patchset. I don't put a better strategy that it neither make mistakes
of building and running nor huge.

thanks
Lijun Ou

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html